Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
registry_user_created = client.cloud.registries.users.create(
registry_id=0,
project_id=0,
region_id=0,
duration=14,
name="user1",
)
print(registry_user_created.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
registryUserCreated, err := client.Cloud.Registries.Users.New(
context.TODO(),
0,
cloud.RegistryUserNewParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
Duration: 14,
Name: "user1",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", registryUserCreated.ID)
}
curl --request POST \
--url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 14,
"name": "user1",
"read_only": false,
"secret": ""
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({duration: 14, name: 'user1', read_only: false, secret: ''})
};
fetch('https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2024-06-18T09:36:53.335000Z",
"duration": 14,
"expires_at": "2024-06-18T09:36:53.335000Z",
"id": 1,
"name": "user1",
"read_only": false,
"secret": "<string>"
}Registry
Create registry user
Create a new user for accessing the container registry.
POST
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
users
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
registry_user_created = client.cloud.registries.users.create(
registry_id=0,
project_id=0,
region_id=0,
duration=14,
name="user1",
)
print(registry_user_created.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
registryUserCreated, err := client.Cloud.Registries.Users.New(
context.TODO(),
0,
cloud.RegistryUserNewParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
Duration: 14,
Name: "user1",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", registryUserCreated.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Region ID
Registry ID
Body
application/json
User account operating time, days
Required range:
-1 <= x <= 365Example:
14
A name for the registry user.
Should be in lowercase, consisting only of numbers and letters,
with maximum length of 16 characters
Pattern:
^[a-z0-9]{0,16}$Example:
"user1"
Read-only user
Example:
false
User secret
Response
Created user details
User creation date-time
Example:
"2024-06-18T09:36:53.335000Z"
User account operating time, days
Example:
14
User operation end date-time
Example:
"2024-06-18T09:36:53.335000Z"
User ID
Example:
1
User name
Example:
"user1"
Read-only user
Example:
false
User secret
Was this page helpful?